CVE-2018-25074

Inefficient Regular Expression Complexity in npm/skeemas

Identifiers

GHSA-qv66-f876-vjvr, CVE-2018-25074

Package Slug

npm/skeemas

Vulnerability

Inefficient Regular Expression Complexity

Description

A vulnerability was found in Prestaul skeemas and classified as problematic. This issue affects some unknown processing of the file validators/base.js. The manipulation of the argument uri leads to inefficient regular expression complexity. The name of the patch is 65e94eda62dc8dc148ab3e59aa2ccc086ac448fd. It is recommended to apply a patch to fix this issue. The associated identifier of this vulnerability is VDB-218003.

Affected Versions

All versions before 1.2.5

Solution

Upgrade to version 1.2.5 or above.

Last Modified

2023-01-12

source